> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Memory Items

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/items
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/items:
    get:
      tags:
        - admin
      summary: List Memory Items
      operationId: listMemoryItems
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 1
            minimum: 1
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 20
            maximum: 100
            minimum: 1
        - name: userId
          in: query
          required: false
          schema:
            type: string
        - name: agentId
          in: query
          required: false
          schema:
            type: string
        - name: scope
          in: query
          required: false
          schema:
            type: string
        - name: category
          in: query
          required: false
          schema:
            type: string
        - name: type
          in: query
          required: false
          schema:
            type: string
        - name: rawDataId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultPageResultAdminItemView'
components:
  schemas:
    SuccessResultPageResultAdminItemView:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PageResultAdminItemView'
    PageResultAdminItemView:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/AdminItemView'
        page:
          $ref: '#/components/schemas/PageMeta'
    AdminItemView:
      type: object
      properties:
        itemId:
          type: integer
          format: int64
        userId:
          type: string
        agentId:
          type: string
        memoryId:
          type: string
        content:
          type: string
        scope:
          type: string
        category:
          type: string
        vectorId:
          type: string
        rawDataId:
          type: string
        contentHash:
          type: string
        occurredAt:
          type: string
          format: date-time
        observedAt:
          type: string
          format: date-time
        metadata:
          type: object
          additionalProperties: {}
        type:
          type: string
        rawDataType:
          type: string
        sourceClient:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    PageMeta:
      type: object
      properties:
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        totalItems:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int64
        hasPrevious:
          type: boolean
        hasNext:
          type: boolean

````